Properties Methods Events Direct Link

# Class Ext.air.SystemMenu

Package: | Ext.air
Defined In: | SystemMenu.js
Class: | SystemMenu
Extends: | Object

Provides platform independent handling of adding item to the application menu, creating the menu or items as needed.
This class also provides the ability to bind standard Ext.Action instances with NativeMenuItems
This class is a singleton and cannot be created directly.

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

add( `String text`, `Array actions`, `Number mindex` ) : air.NativeMenu
Add items to one of the application menus
Add items to one of the application menus
Parameters:

- `text` : String
  The application menu to add the actions to (e.g. 'File' or 'Edit').
- `actions` : Array
  An array of Ext.Action objects or menu item configs
- `mindex` : Number
  The index of the character in "text" which should be used for keyboard access

Returns:

- `air.NativeMenu`
  The raw submenu

SystemMenu

get() : void
Returns the application menu
Returns the application menu
Parameters:

- None.

Returns:

- `void`

SystemMenu

## Public Events

This class has no public events.